From 69cd9b300b974cebce052f41e4f0269acecf3a42 Mon Sep 17 00:00:00 2001
From: Loic Guegan <loic.guegan@mailbox.org>
Date: Wed, 7 Feb 2024 16:33:20 +0100
Subject: [PATCH] Debug clusterman monitoring

---
 .clusterman_onoff.sh | 1 +
 1 file changed, 1 insertion(+)

diff --git a/.clusterman_onoff.sh b/.clusterman_onoff.sh
index 2f951d8..75f40dc 100644
--- a/.clusterman_onoff.sh
+++ b/.clusterman_onoff.sh
@@ -19,6 +19,7 @@ for value in "${nodes[@]}"; do
     node=$(echo "$value"|cut -d "/" -f 1)
     ina260=$(echo "$value"|cut -d "/" -f 2)
     ip=$(clusterman node list -g $node)
+    [ $? -ne 0 ] && { echo "$ip"; exit 1; }
     [ "$1" == "off" ] && ssh testbed@${ip} touch ina260-zmq-publisher/publisher_${ina260}_break
     [ "$1" == "on" ] && ssh testbed@${ip} rm -f ina260-zmq-publisher/publisher_${ina260}_break
 done